# Class LevelForOverride

#### Hierarchy

- LevelBase
  - LevelForOverride

- Defined in file/numbering/level.ts:325

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new LevelForOverride(__namedParameters): LevelForOverride

- #### Parameters

  - ##### __namedParameters: ILevelsOptions

  #### Returns LevelForOverride

  Inherited from LevelBase.constructor

  - Defined in file/numbering/level.ts:267

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from LevelBase.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from LevelBase.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc